#pragma once

#include "accessor.h"

/* A file accessor, providing flexpages corresponding to file regions. */

class TestFileAccessor : public Accessor
{
protected:

    /* Data transfer helper methods. */

    virtual void fill_populated(Flexpage *flexpage);

    virtual void flush_populated(Flexpage *flexpage);

public:
    explicit TestFileAccessor(fileid_t fileid, offset_t size=0);
};

// vim: tabstop=4 expandtab shiftwidth=4
